Synq Docs
Management APIChange requests

Read a change request

Its target, the change and whether it was approved. Needs `org.apps.view`.

GET/v1/orgs/{org}/change-requests/{request}

Its target, the change and whether it was approved. Needs org.apps.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
request*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orgs/string/change-requests/string"
{  "id": "string",  "kind": "app.redirect_uris",  "target": {    "brand": "string",    "app": "string"  },  "change": {    "redirect_uris": [      "string"    ]  },  "status": "pending",  "asked_from": "string",  "approve_url": "string",  "expires_at": "2019-08-24T14:15:22Z",  "decided_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z"}